Subject: Re: [PATCH v9 22/37] read-cache: convert post-index-change hook to use config

From: Taylor Blau <[email-masked]>
Date: Thu, 27 May 2021 21:09:57 -0400

On Fri, May 28, 2021 at 01:04:40AM +0200, Ævar Arnfjörð Bjarmason wrote:
> Obviously a trivial mistake, but it's a good idea to use git rebase -i
> -x 'make test' or equivalent for such a large series, perhaps there are
> other inter-patch issues lurking here...

This is tangential to this series, but I would add that `git rebase -x
'make DEVELOPER=1 git' @{u}` can be useful to run often while developing
the series and reorganizing patches to make sure that everything
compiles.

The benefit of `make git` is that it ensures everything still compiles
while avoiding having to link everything together. This ends up being
quick enough that I find myself running it often while developing a
series.

I do `s/git/test` before submitting, though.

Thanks,
Taylor